ES | EN

📄 MIPYME Documents

Create a new account

POST
URL del endpoint https://api-billing.koywe.com/V1/accounts
Requiere autenticación

Autenticación

Envía la cabecera Authorization: Bearer <token> (obtenido en POST /auth) en los endpoints protegidos.

Parámetros

Sin parámetros.

Cuerpo de la solicitud — campos

CampoTipoObligatoriedadDescripción
country_idintegerSiempre obligatorioCountry ID where the account is created, supported IDs are:
253 = Chile
89 = United States
66 = Colombia
80 = Mexico
83 = Perú
contact_namestringSiempre obligatorioContact name associated with the account that will be created.
contact_phonestringSiempre obligatorioContact phone associated with the account that will be created, format:
+56xxxxxxxxx = Chile
+1xxxxxxxxx = United States
+57xxxxxxxxxx = Colombia
+51xxxxxxxxx = Perú
+52xxxxxxxxxx = México
+54xxxxxxxxxxx = Argentina
admin_emailstringSiempre obligatorioAdmin email associated with the account that will be created.
Valid for login.
admin_passwordstringSiempre obligatorioAdmin password associated with the account that will be created.
Valid for login.
registration_legal_name_companystringSiempre obligatorioLegal name of the company being registered.
registration_tax_id_codestringSiempre obligatorioTax ID code of the company being registered, format:
XXXXXXXX-X = Chile
XXXXXXXXXXXX = México
XXXXXXXXXX-X = Colombia
XXXXXXXXXXX = Perú
XXXXXXXXXXX = Argentina
registration_tax_id_typestringSiempre obligatorioTax ID type of the company being registered, supported IDs are:
CL-RUT = Chile RUT
US-EIN = United States EIN
US-SSN = United States SSN
CO-NIT = Colombia NIT
PE-RUC = Peru RUC
MX-RFC = Mexico RFC
AR-CUIT = Argentina CUIT
registration_company_sizestringSiempre obligatorioSize of the company being registered.
1 = Micro
2 = Small
3 = Medium
4 = Large
registration_terms_of_useintegerSiempre obligatorioAcceptance of the terms of use.
1 = Accepted
registration_type_useintegerSiempre obligatorioType use of the accounts being registered, supported IDs are:
1 = Billing
registration_company_industry_sectorstringOpcionalIndustry sector of the company being registered.
registration_additional_dataobjectSiempre obligatorioRequired for certain countries. Check individual fields for more information
registration_additional_data.registration_test_set_idstringObligatorio cuando: ColombiaRequired for Colombia. TEST SET ID provided by DIAN
registration_additional_data.registration_form_rutstringObligatorio cuando: ColombiaRequired for Colombia. RUT PDF form provided by DIAN
format: PDF encoded as base64
registration_additional_data.certificate_filestringObligatorio cuando: ChileRequired for Chile. Digital certificate file.
format: PFX encoded as base64
registration_additional_data.certificate_keystringObligatorio cuando: Mexico and ArgentinaRequired for Mexico and Argentina. Private key provided by SAT.
format: DER format just as provided by the SAT.
format: .key format just as provided by the ARCA.
registration_additional_data.certificate_cerstringObligatorio cuando: Mexico and ArgentinaRequired for Mexico and Argentina. Public certificate provided by SAT.
format: DER format just as provided by the SAT.
format: .cer format just as provided by the ARCA.
registration_additional_data.certificate_passwordstringObligatorio cuando: Chile and MexicoRequired for Chile and Mexico. The certificate password
account_configobjectOpcional
account_config.rounding_formatnumberOpcionalYou can select what rounding method to use for totals.
0 = net rounding.
1 = gross rounding
account_config.time_zonestringOpcionalTime zone to use for your account. Example: UTC-3
account_config.allow_issuance_based_on_stocknumberOpcionalConfiguration related to available stock restrictions.
0 = allow invoicing if the stock is available in the sum of all your warehouses.
1 = allow invoicing even if you don't have enough inventory.
2 = only allow invoicing if the stock is available in the selected warehouse
account_config.show_document_timenumberOpcionalInclude the issuance time on the document PDF.
0 = Don't include.
1 = Include
account_config.adjust_draft_datenumberOpcionalWhen you issue a draft, update the document date to the current date before issuing.
0 = Don't update.
1 = Update to current date
account_config.sum_up_detail_linesnumberOpcionalIf two or more lines make reference to the same product with same price, combine them into one line adding up the quantity.
0 = Don't combine.
1 = Combine
account_config.order_of_added_productsnumberOpcionalOrder of products in PDF.
0 = Same as JSON.
1 = Last product first
account_config.display_tax_receiptnumberOpcionalConvert additional taxes on receipts.
0 = Keep same gross and increase net and VAT.
1 = Don't include additional tax on receipts.
2 = Include additional tax on receipts.
account_config.stock_reservation_for_quotationnumberOpcionalQuotes cause inventory to become reserved to avoid duplicated sales.
0 = Don't reserve.
1 = Reserve quoted inventory
account_config.cost_greater_than_the_pricenumberOpcionalPrevents a product from being sold at a price below its costs.
0 = Allow any price.
1 = Don't allow prices below cost

Ejemplo JSON del cuerpo

{
    "country_id": 0,
    "contact_name": "string",
    "contact_phone": "string",
    "admin_email": "string",
    "admin_password": "string",
    "registration_legal_name_company": "string",
    "registration_tax_id_code": "string",
    "registration_tax_id_type": "string",
    "registration_company_size": "string",
    "registration_terms_of_use": 0,
    "registration_type_use": 0,
    "registration_company_industry_sector": "string",
    "registration_additional_data": {
        "registration_test_set_id": "string",
        "registration_form_rut": "string",
        "certificate_file": "string",
        "certificate_key": "string",
        "certificate_cer": "string",
        "certificate_password": "string"
    },
    "account_config": {
        "rounding_format": 0,
        "time_zone": "UTC+0",
        "allow_issuance_based_on_stock": 0,
        "show_document_time": 0,
        "adjust_draft_date": 0,
        "sum_up_detail_lines": 0,
        "order_of_added_products": 0,
        "display_tax_receipt": 0,
        "stock_reservation_for_quotation": 0,
        "cost_greater_than_the_price": 0
    }
}

Respuestas

Your account is successfully created